<?php

/**
 * @package: events-venues-task
 * @author: Yevhen Odynets
 * @date: 2024-07-27
 * @time: 07:29
 */

//phpcs:ignore
declare(strict_types = 1);

namespace App\Facades;

use Illuminate\Support\Facades\Facade;

/**
 * @method static string|null localPath(string $imagePath)
 * @method static array|string meta(string $fullPath, ?string $property = null)
 * phpcs:ignore
 * @method static string cropAlign(string $srcPath, string $destPath, ?int $cropWidth = null, ?int $cropHeight = null, ?string $horizontalAlign = 'center', ?string $verticalAlign = 'middle')
 *
 * @uses \App\Services\Image\Image
 */
class Image extends Facade
{
    /**
     * @return string
     */
    protected static function getFacadeAccessor(): string
    {
        return 'image';
    }
}
