<?php

/**
 * @package: events-venues-task
 * @author: Yevhen Odynets
 * @date: 2024-07-27
 * @time: 07:45
 */

declare(strict_types=1);

use App\Services\Faker\Image\Contracts\FakerImageProviderType;

return [
    'faker'        => [
        'provider' => [
            'loremflickr' => [
                "host" => "https://loremflickr.com/",
                'type' => FakerImageProviderType::LoremFlickr,
            ],
        ],
        'cropper'  => [800], //see Image facade's method "cropAlign" for details
    ],
    'storage'      => [
        'poster' => 'public/images/poster',
    ],
    'verbosity'    => true,
    "log_path"     => 'logs/image_facade.log',
    'meta'         => [
        'width'    => 0,
        'height'   => 1,
        'type'     => 2,
        'tag'      => 3,
        'bits'     => 'bits',
        'channels' => 'channels',
        'mime'     => 'mime',
    ],
    'mime_allowed' => ["image/jpeg", "image/gif", "image/png"],
];
