<?php

declare(strict_types = 1);

namespace Database\Seeders;

use Illuminate\Database\Seeder;
use Illuminate\Support\Facades\Cache;

use Illuminate\Database\Console\Seeds\WithoutModelEvents;

class DatabaseSeeder extends Seeder
{
    /**
     * Seed the application's database.
     */
    public function run(): void
    {
        if (config('common.seeding.flush_cache') ?? false) {
            Cache::flush();
        }


        $this->call([
            UserSeeder::class,
            VenueSeeder::class,
            EventSeeder::class,
        ]);
    }
}
