<?php

declare(strict_types = 1);

use App\Http\Controllers\{EventController, FallbackController, ProfileController, VenueController};
use Illuminate\Support\Facades\Route;

Route::middleware(['auth', 'verified'])->group(callback: function () {
    Route::get('/', static function () {
        //return \App\Facades\Image::getName();
        return view('welcome');
    });

    Route::get('/dashboard', static function () {
        return view('dashboard');
    })->name('dashboard');

    Route::resources([
        'venues' => VenueController::class,
        'events' => EventController::class,
    ]);

    Route::fallback(FallbackController::class)->name('not_found_fallback');
});

Route::middleware('auth')->group(function () {
    Route::get('/profile', [ProfileController::class, 'edit'])->name(
        'profile.edit'
    );
    Route::patch('/profile', [ProfileController::class, 'update'])->name(
        'profile.update'
    );
    Route::delete('/profile', [ProfileController::class, 'destroy'])->name(
        'profile.destroy'
    );
});

require __DIR__.'/auth.php';

